#!/usr/bin/make -f

MAVEN_REPO  := http://repo.fusesource.com/nexus/content/groups/public/
GROUP_ID    := net/sf/josql
ARTIFACT_ID := josql

PACKAGE := $(shell dpkg-parsechangelog | grep '^Source:' | cut -f 2 -d ' ')
VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/gentlyweb-utils.jar

%:
	dh $@ --buildsystem=ant --with maven_repo_helper

override_dh_auto_clean:
	-rm -rf 3rd-party-jars/* reference/java/javacc/javacc-4.0
	ant cleanBuild

override_dh_auto_build:
	mkdir -p reference/java/javacc/javacc-4.0/
	cp /usr/share/java/javacc5.jar reference/java/javacc/javacc-4.0/javacc.jar

	-rm src/org/josql/parser/TokenMgrError.java
	-rm src/org/josql/parser/ParseException.java
	-rm src/org/josql/parser/Token.java
	-rm src/org/josql/parser/JavaCharStream.java
	ant javacc createJar -DpathStart=.

get-orig-pom:
	wget -O debian/pom.xml ${MAVEN_REPO}/${GROUP_ID}/${ARTIFACT_ID}/1.5/${ARTIFACT_ID}-1.5.pom

